GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get content gap overview GETList content gaps GETGet content gap GET
Content gaps

Get content gap overview GET

Average coverage, level and type breakdown, crawl state and history.

Get content gap GET

Latest analysis of one prompt: searches, verdicts and recommendation.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Content gaps

List content gaps

GET
/brands/{brandId}/content-gaps/prompts

Enabled prompts with their latest coverage.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

types?string

Comma-separated prompt types

Lengthlength <= 2000
intents?string

Comma-separated prompt intents

Lengthlength <= 2000
topics?string

Comma-separated topic ids

Lengthlength <= 2000
tags?string

Comma-separated tag ids

Lengthlength <= 2000
q?string

Matches the prompt text

Lengthlength <= 200
sort?string
Default"coverage"
Value in"coverage""analyzed""prompt"
order?string
Default"asc"
Value in"asc""desc"
page?integer
Range1 <= value
Default1
pageSize?integer
Range1 <= value <= 500
Default25

Response Body

One page of prompts

application/json
  1. response
  1. response
  2. …
items*array<>
total*integer
page*integer
pageSize*integer
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/prompts'
Example Response
{  "items": [    {      "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",      "text": "string",      "type": "string",      "intent": "string",      "score": 0,      "level": "excellent",      "queries": 0,      "action": "create",      "analyzedAt": "string",      "failed": true    }  ],  "total": 0,  "page": 0,  "pageSize": 0}

Get content gap overview GET

Average coverage, level and type breakdown, crawl state and history.

Get content gap GET

Latest analysis of one prompt: searches, verdicts and recommendation.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/prompts'
{
  "items": [
    {
      "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
      "text": "string",
      "type": "string",
      "intent": "string",
      "score": 0,
      "level": "excellent",
      "queries": 0,
      "action": "create",
      "analyzedAt": "string",
      "failed": true
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0
}